Module
Contents
Index 🔎︎

# Matematiska funktioner

Den här kategorin innehåller matematiska funktioner för Calc. Öppna Funktionsguiden och välj Infoga - Funktion.

## [text/scalc/01/func_aggregate.xhp#aggregate_head not found].

This function returns an aggregate result of the calculations in the range. You can use different aggregate functions listed below. The Aggregate function enables you to omit hidden rows, errors, SUBTOTAL and other AGGREGATE function results in the calculation.

## RAWSUBTRACT

Subtracts a set of numbers and gives the result without eliminating small roundoff errors.

## TIMME

Return a numeric value calculated by a combination of three colors (red, green and blue) and the alpha channel, in the RGBA color system. The result depends on the color system used by your computer.

## [text/scalc/01/func_sumifs.xhp#sumifs_head not found].

Returns the sum of the values of cells in a range that meets multiple criteria in multiple ranges.

## ABS

Returnerar det absoluta värdet för ett tal.

### Syntax

ABS(tal)

tal är det tal vars absoluta värde ska beräknas. Det absoluta värdet av ett tal är dess värde utan plus- eller minustecken (+/-).

### Exempel

=ABS(-56) returnerar 56.

=ABS(12) returnerar 12.

=ABS(0) returnerar 0.

## ARCCOS

Returnerar invers trigonometrisk cosinus för ett tal.

### Syntax

ARCCOS(tal)

Den här funktionen returnerar invers trigonometrisk cosinus för Tal, dvs. vinkeln (i radianer) vars cosinus är Tal. Vinkeln som returneras är mellan 0 och PI.

Returnera vinkeln i grader genom att använda GRADER-funktionen.

### Exempel

=ARCCOS(-1) returnerar 3,14159265358979 (PI-radianer).

=GRADER(ARCCOS(0,5)) returnerar 60. Cosinus för 60 grader är 0,5.

## ARCCOSH

Returnerar invers hyperbolisk cosinus för ett tal.

### Syntax

ARCCOSH(tal)

Den här funktionen returnerar invers hyperbolisk cosinus för Tal, dvs. talet vars hyperboliska cosinus är Tal.

Tal måste vara större än eller lika stort som 1.

### Exempel

=ARCCOSH(1) returnerar 0.

=ARCCOSH(COSH (4)) returnerar 4.

## ARCCOT

Returnerar invers cotangens (arcustangens) för ett givet tal.

### Syntax

ARCCOT(tal)

Den här funktionen returnerar invers trigonometrisk cotangens för Tal, dvs. vinkeln (i radianer) vars cotangens är Tal. Vinkeln som returneras är mellan 0 och PI.

Returnera vinkeln i grader genom att använda GRADER-funktionen.

### Exempel

=ARCCOT(1) returnerar 0,785398163397448 (PI/4-radianer).

=GRADER(ARCCOT(1)) returnerar 45. Tangens för 45 grader är 1.

## ARCCOTH

Returnerar invers hyperbolisk cotangens för ett givet tal.

### Syntax

ARCCOTH(tal)

Den här funktionen returnerar invers hyperbolisk cotangens för Tal, dvs. det tal vars hyperboliska cotangens är Tal.

Ett felresultat om Tal är mellan -1 och 1.

### Exempel

=ARCCOTH(1,1) returnerar invers hyperbolisk cotangens för 1,1, ungefär 1,52226.

## ARCSIN

Returnerar invers trigonometrisk sinus för ett tal.

### Syntax

ARCSIN(tal)

Den här funktionen returnerar invers trigonometrisk tangens för Tal, dvs. vinkeln (i radianer) vars tangens är Tal. Vinkeln som returneras är mellan -PI/2 och +PI/2.

Returnera vinkeln i grader genom att använda GRADER-funktionen.

### Exempel

=ARCSIN(0) returnerar 0.

=ARCSIN(1) returnerar 1.5707963267949 (PI/2 radianer).

=GRADER(ARCSIN(0,5)) returnerar 30. Sinus för 30 grader är 0,5.

## ARCSINH

Returnerar invers hyperbolisk sinus för ett tal.

### Syntax

ARCSINH(tal)

Den här funktionen returnerar invers hyperbolisk sinus för Tal, dvs. talet vars hyperboliska sinus är Tal.

### Exempel

=ARCSINH(-90) returnerar ungefär -5,1929877.

=ARCSINH(SINH(4)) returnerar 4.

## ARCTAN

Returnerar invers trigonometrisk tangens för ett tal.

### Syntax

ARCTAN(tal)

Den här funktionen returnerar invers trigonometrisk tangens för Tal, dvs. vinkeln (i radianer) vars tangens är Tal. Vinkeln som returneras är mellan -PI/2 och PI/2.

Returnera vinkeln i grader genom att använda GRADER-funktionen.

### Exempel

=ARCTAN(1) returnerar 0,785398163397448 (PI/4 radianer).

=GRADER(ARCTAN(1)) returnerar 45. Tangens för 45 grader är 1.

## ARCTAN2

Returnerar invers trigonometrisk tangens för angivna x- och y-koordinater.

### Syntax

ARCTAN2(TalX; TalY)

TalX är värdet för x-koordinaten.

TalY är värdet för y-koordinaten.

ARCTAN2 returnerar invers trigonometrisk tangens, dvs. vinkeln (i radianer) mellan x-axeln och en linje från en punkt med koordinaterna x och y till origo. Vinkeln som returneras är mellan -PI och PI.

Returnera vinkeln i grader genom att använda GRADER-funktionen.

### Exempel

=ARCTAN2(20;20) returnerar 0,785398163397448 (PI/4 radianer).

=GRADER(ARCTAN2(12,3;12,3)) returnerar 45. Tangens av 45 grader är 1.

## ARCTANH

Returnerar invers hyperbolisk tangens för ett tal.

### Syntax

ARCTANH(tal)

Den här funktionen returnerar invers hyperbolisk tangens för Tal, dvs. talet vars hyperboliska tangens är Tal.

Tal måste acceptera villkoret -1 < tal < 1.

### Exempel

=ARCTANH(0) returnerar 0.

## AVKORTA

Trunkerar ett tal genom att ta bort decimaler.

### Syntax

AVKORTA(Tal; Antal)

Returnerar Tal med mest Antal decimaler. Ytterligare decimaler tas helt enkelt bort, oavsett tecken.

AVKORTA(Tal; 0) fungerar som HELTAL(tal) för positiva tal, men avrundar i själva verket mot noll för negativa tal.

De synliga decimalerna anges i LibreOffice – Inställningar Verktyg – Alternativ
– LibreOffice Calc – Beräkna.

### Exempel

=AVKORTA(1,239;2) returnerar 1,23. 9 saknas.

=AVKORTA(-1,234999;3) returnerar -1,234. Alla nior är borta.

## AVRUNDA

Rundar av ett tal till ett visst antal decimaler.

### Syntax

AVRUNDA (Tal; Antal)

Returnerar Tal avrundat till Antal decimaler. Om Antal utelämnas eller är noll avrundar funktionen nedåt till närmsta heltal. Om Antal är negativt så avrundar funktionen till nästa 10, 100, 1 000 o.s.v.

Den här funktionen avrundar till närmaste tal. Se AVRUNDA.NEDÅT och AVRUNDA. UPPÅT för alternativ.

### Exempel

=AVRUNDA(2,348;2) returnerar 2,35

=AVRUNDA(-32,4834;3) returnerar -32,483. Ändra cellformatet så att alla decimaler visas.

=AVRUNDA(2,348;0) returnerar 2.

=AVRUNDA(2,5) returnerar 3.

=AVRUNDA(987,65;-2) returnerar -1000.

## AVRUNDA.NEDÅT

Avrundar ett tal nedåt, mot noll, till en viss precision.

### Syntax

AVRUNDA.NEDÅT(Tal; Antal)

Returnerar Tal som avrundats nedåt (avrundar mot noll) till Antal decimaler. Om Antal utelämnas eller noll, avrundar funktionen nedåt till ett heltal. Om Antal är negativt avrundar funktionen ner till 10, 100, 1 000 osv.

Den här funktionen avrundar mot noll. Se AVRUNDA. UPPÅT och AVRUNDA för alternativ.

### Exempel

=AVRUNDA.NEDÅT(1,234;2) returnerar 1,23.

=AVRUNDA.NEDÅT(45,67;0) returnerar 45.

=AVRUNDA.NEDÅT(-45,67) returnerar -45.

=AVRUNDA.NEDÅT(987,65;-2) returnerar 900.

## AVRUNDA.UPPÅT

Avrundar ett tal uppåt, från noll, till en viss precision.

### Syntax

AVRUNDA.UPPÅT (Tal; Antal)

Returnerar Tal som avrundats uppåt (från noll) till Antal decimaler. Om Antal utelämnas eller noll avrundar funktionen uppåt till ett heltal. Om Antal är negativt avrundar funktionen uppåt till 10, 100, 1 000 osv.

Den här funktionen avrundar bort från noll. Se AVRUNDA.NEDÅT och AVRUNDA för alternativ.

### Exempel

=AVRUNDA.UPPÅT(1,1111;2) returnerar 1,12.

=AVRUNDA.UPPÅT(1,2345;1) returnerar 1,3.

=AVRUNDA.UPPÅT(45,67;0) returnerar 46.

=AVRUNDA.UPPÅT(-45,67) returnerar -46.

=AVRUNDA.UPPÅT(987,65;-2) returnerar 1000.

## CEILING.MATH

Rounds a number up to the nearest multiple of Significance.

### Syntax

CEILING.MATH(Number; Significance; Mode)

Number is the number that is to be rounded up.

Significance is the number to whose multiple the value is to be rounded up.

Mode is an optional value. If the Mode value is given and not equal to zero, and if Number and Significance are negative, then rounding is done based on the absolute value of Number, i.e. negative numbers are rounded away from zero. If the Mode value is equal to zero or is not given, negative numbers are rounded towards zero.

This function exists for interoperability with Microsoft Excel 2013 or newer.

### Example

=CEILING.MATH(-10;-3) returns -9

=CEILING.MATH(-10;-3;0) returns -9

=CEILING.MATH(-10;-3;1) returns -12

## CEILING.PRECISE

Rounds a number up to the nearest multiple of Significance, regardless of sign of Significance

### Syntax

CEILING.PRECISE(Number; Significance)

tal är talet som ska avrundas uppåt.

Signifikans är det tal till vars multipel värdet ska avrundas uppåt.

### Exempel

=RUNDA.UPP(-11;-2) returnerar -10

## CEILING.XCL

Rounds a number away from zero to the nearest multiple of Significance.

### Syntax

CEILING.XCL(Number; Significance)

Number is the number that is to be rounded.

Significance is the number to whose multiple the value is to be rounded.

This function exists for interoperability with Microsoft Excel 2007 or older versions.

### Example

=CEILING.XCL(1;3) returns 3

=CEILING.XCL(7;4) returns 8

=CEILING.XCL(-10;-3) returns -12

## CONVERT_OOO

Konverterar ett värde från en måttenhet till en annan måttenhet. Omräkningsfaktorerna anges i en lista i konfigurationen.

Listan med omräkningsfaktorer innehöll tidigare äldre europeiska valutor och euro (se nedanstående exempel). Använd gärna den nya eurokonverteraren om du vill omvandla från och till dessa valutor.

### Syntax

CONVERT_OOO(value;"text";"text")

### Exempel

=CONVERT_OOO(100;"ATS";"EUR") returns the Euro value of 100 Austrian Schillings.

=CONVERT_OOO(100;"EUR";"DEM") converts 100 Euros into German Marks.

## COS

Returnerar cosinus för en given vinkel (i radianer).

### Syntax

COS(tal)

Returnerar (trigonometrisk) cosinus för Tal, vinkeln i radianer.

Returnera cosinus för en vinkel i grader genom att använda RADIANER-funktionen.

### Exempel

=COS(PI()/2) returnerar 0, cosinus för PI/2 radianer.

=COS(RADIANER(60)) returnerar 0,5, tangensen för 60 grader.

## COSH

Returnerar hyperbolisk cosinus för ett tal.

### Syntax

COSH(tal)

Returnerar hyperbolisk cosinus för Tal.

### Exempel

=COSH(0) returnerar 1, hyperbolisk cosinus för 0.

## COT

Returnerar cotangens för en given vinkel (i radianer).

### Syntax

COT(tal)

Returnerar (trigonometrisk) cotangens för Tal, vinkeln i radianer.

Returnera cotangens för en vinkel i grader genom att använda RADIANER-funktionen.

Cotangens för en vinkel är lika med 1 dividerat med tangens för vinkeln.

### Exempel:

=COT(PI()/4) returnerar 1, cotangens för PI/4 radianer.

=COT(RADIANER(45)) returnerar 1, cotangens för 45 grader.

## COTH

Returnerar hyperbolisk cotangens för ett givet tal (vinkel).

### Syntax

COTH(tal)

Returnerar hyperbolisk cotangens för Tal.

### Exempel

=COTH(1) returnerar den hyperboliska cotangensen 1, ungefär 1,3130.

## CSC

Beräknar cosekanten för en given vinkel (i radianer). Cosekanten av en vinkel är lika med 1 genom sinus för samma vinkel

### Syntax

CSC(tal)

Beräknar (trigonometrisk) cosekant för Tal, vinkeln i radianer.

För att beräkna cosekanten för en vinkel i grader, använd RADIANER-funktionen.

### Exempel

=CSC(PI()/4) returnerar ungefär 1.4142135624, inversen av sinus av PI/4 radianer.

=CSC(RADIANER(30)) returnerar 2, cosekanten för 30 grader.

## CSCH

Returnerar hyperbolisk cosekant för ett tal.

### Syntax

COSH(tal)

Returnerar hyperbolisk cosekant för Tal.

### Exempel

Returnerar sekanten av en given vinkel (i radianer). Sekanten av en vinkel motsvarar 1 delat med cosinus av vinkeln.

## DELSUMMA

beräknar delresultat. Om ett område redan innehåller delresultat används dessa inte i ytterligare beräkningar. Använd den här funktionen med autofilter om du bara vill arbeta med filtrerade poster.

### Syntax

DELSUMMA(Funktion; Område)

funktion är ett tal som står för någon av följande funktioner:

Funktionsindex (includes hidden values) | Function index (ignores hidden values) | Funktion
1 | 101 | MEDEL
2 | 102 | ANTAL
3 | 103 | ANTALV
4 | 104 | MAX
5 | 105 | MIN
6 | 106 | PRODUKT
7 | 107 | STDEV
8 | 108 | STDEVP
9 | 109 | SUMMA
10 | 110 | VAR
11 | 111 | VARP

Use numbers 1-11 to include manually hidden rows or 101-111 to exclude them; filtered-out cells are always excluded.

Område är det område vars celler ska inkluderas.

### Exempel

You have a table in the cell range A1:B6 containing a bill of material for 10 students. Row 2 (Pen) is manually hidden. You want to see the sum of the figures that are displayed; that is, just the subtotal for the filtered rows. In this case the correct formula would be:

| A | B
1 | ITEM | QUANTITY
2 | Pen | 10
3 | Pencil | 10
4 | Notebook | 10
5 | Rubber | 10
6 | Sharpener | 10

=SUBTOTAL(9;B2:B6) returns 50.

=SUBTOTAL(109;B2:B6) returns 40.

## EXP

Returnerar e upphöjt till ett tal. Konstanten e har det ungefärliga värdet 2,71828182845904.

### Syntax

EXP(Tal)

Potens är exponenten till talet e.

### Exempel

=EXP(1) returnerar 2,71828182845904, den matematiska konstanten e till Calcs exakthet.

## FAKULTET

Returnerar fakulteten för ett tal.

### Syntax

FAKULTET(tal)

Returnerar Tal!, fakulteten för Tal, beräknat som 1*2*3*4* ... * Tal.

=FAKULTET(0) returnerar 1 per definition.

Fakulteten för ett negativt tal returnerar felet "ogiltigt argument".

### Exempel

=FAKULTET(3) returnerar 6.

=FAKULTET(0) returnerar 1.

## FLOOR.PRECISE

Rounds a number down to the nearest multiple of Significance, regardless of sign of Significance

### Syntax

FLOOR.PRECISE(Number; Significance)

tal är det tal som ska avrundas nedåt.

Signifikans är det värde till vars multipel talet ska avrundas nedåt.

### Exempel

=RUNDA.NER(-11;-2) returnerar -12

## GCD_EXCEL2003

The result is the greatest common divisor of a list of numbers.

De funktioner vars namn slutar med _ADD eller _EXCEL2003 returnerar samma resultat som motsvarande funktioner i Microsoft Excel 2003 utan suffixen. Funktioner utan suffix ger resultat som är baserade på internationell standard.

### Syntax

GCD_EXCEL2003(Number(s))

Tal är en lista på upp till 30 tal.

### Exempel

=GCD_EXCEL2003(5;15;25) returns 5.

## GRADER

Omvandlar radianer till grader.

### Syntax

GRADER(siffra)

Tal är den vinkel i radianer som ska konverteras till grader.

### Exempel

=GRADER(PI()) returnerar 180 grader.

## HELTAL

Avrundar ett tal nedåt till närmsta heltal.

### Syntax

HELTAL(tal)

Returnerar Tal avrundat ner till närmsta heltal.

Negativa tal avrundas nedåt till närmaste heltal.

### Exempel

=HELTAL(5,7) returnerar 5.

=HELTAL(-1,3) returnerar -2.

## ISO.CEILING

Rounds a number up to the nearest multiple of Significance, regardless of sign of Significance

### Syntax

ISO.CEILING(Number; Significance)

tal är talet som ska avrundas uppåt.

Signifikans är det tal till vars multipel värdet ska avrundas uppåt.

### Exempel

=RUNDA.UPP(-11;-2) returnerar -10

## JÄMN

Avrundar ett positivt tal uppåt till närmaste jämna heltal och ett negativt tal nedåt till närmaste jämna heltal.

### Syntax

JÄMN(tal)

Returnerar Tal avrundat uppåt till nästa jämna heltal, från noll.

### Exempel

=JÄMN(2,3) returnerar 4.

=JÄMN(2) returnerar 2.

=JÄMN(0) returnerar 0.

=JÄMN(-0,5) returnerar -2.

## KOMBIN

Returnerar antalet kombinationer av element utan upprepning.

### Syntax

KOMBIN(Antal1; Antal2)

Antal1 är antalet poster i uppsättningen.

Antal2 är antalet poster att välja mellan i uppsättningen.

KOMBIN returnerar antalet strukturerade sätt som dessa poster kan väljas på. Om det exempelvis finns 3 poster, A, B och C, i en mängd kan du välja 2 av dem på 3 olika sätt, nämligen AB, AC och BC.

KOMBIN implementerar formeln: Antal1!(Antal2!*(Antal1-Antal2)!)

### Exempel

=KOMBIN(3;2) returnerar 3.

## KOMBIN2

Returnerar antalet kombinationer för en delmängd element, inklusive upprepningar.

### Syntax

KOMBIN2(Antal1; Antal2)

Antal1 är antalet poster i uppsättningen.

Antal2 är antalet poster att välja mellan i uppsättningen.

KOMBIN returnerar antalet unika sätt att välja dessa objekt, där den ordning de väljs i saknar betydelse och upprepning av objekt är tillåten. Om en serie till exempel innehåller de 3 objekten A, B och C så kan du välja 2 objekt på 6 olika sätt, nämligen AA, AB, AC, BB, BC och CC.

KOMBIN2 implementerar formeln: (Antal1+Antal2-1)!/(Antal2!(Antal1-1)!)

### Exempel

=KOMBIN2(3;2) returnerar 6.

## KVADRATSUMMA

Om du vill beräkna summan av kvadraterna av talen (summera argumentens kvadrater) skriver du dessa i textfälten.

### Syntax

KVADRATSUMMA(Tal1; Tal2; ...; Tal30)

Tal1 till 30 är upp till 30 argument summan av de fyrkanter som ska beräknas.

### Exempel

Om du anger talen 2;3 och 4 i textrutorna Tal 1;2 och 3, returneras 29 som resultat.

## KVOT

Returnerar heltalsresultatet av en division.

### Syntax

KVOT(Täljare; Nämnare)

Returnerar heltalsresultatet av en Täljare dividerat med Nämnare.

QUOTIENT is equivalent to INT(numerator/denominator) for same-sign numerator and denominator, except that it may report errors with different error codes. More generally, it is equivalent to INT(numerator/denominator/SIGN(numerator/denominator))*SIGN(numerator/denominator).

### Exempel

=KVOT(11;3) returnerar 3. Resten av 2 försvinner.

## LCM_EXCEL2003

The result is the lowest common multiple of a list of numbers.

De funktioner vars namn slutar med _ADD eller _EXCEL2003 returnerar samma resultat som motsvarande funktioner i Microsoft Excel 2003 utan suffixen. Funktioner utan suffix ger resultat som är baserade på internationell standard.

### Syntax

LCM_EXCEL2003(Number(s))

Tal är en lista på upp till 30 tal.

### Exempel

=LCM_EXCEL2003(5;15;25) returns 75.

## LN

Returnerar den naturliga logaritmen baserat på konstanten e för ett tal. Konstanten e har det ungefärliga värdet 2,71828182845904.

### Syntax

LN(tal)

Tal är det värde vars naturliga logaritm ska beräknas.

### Exempel

=LN(3) returnerar den naturliga logaritmen av 3 (ungefär 1,0986).

=LN(EXP(321)) returnerar 321.

## LOG

Returnerar ett tals logaritm för den angivna basen.

### Syntax

LOG(Tal; Bas)

tal är det värde vars logaritm du ska beräkna.

Bas (valfritt) är basen för logaritmberäkningen. Om den utelämnas så antas basen vara 10.

### Exempel

=LOG(10;3) returnerar logaritmen till bas 3 av 10 (ungefär 2,0959).

=LOG(7^4;7) returnerar 4.

## LOG10

Returnerar bas-10-logaritmen för ett tal.

### Syntax

LOG10(tal)

Returnerar logaritmen till bas 10 förTal.

### Exempel

=LOG10(5) returnerar bas-10-logaritmen 5 (ungefär 0,69897).

## MAVRUNDA

Returnerar ett tal som är avrundat till närmaste multipel av ett annat tal.

### Syntax

MAVRUNDA(Tal; Multipel)

Returnerar Tal avrundat till närmaste multipel av Multipel.

En alternativ implementation är Multipel * AVRUNDA(Tal/Multipel).

### Exempel

=MAVRUNDA(15,5;3) returnerar 15, eftersom 15,5 är närmare 15 (= 3*5) än 18 (= 3*6).

=MAVRUNDA(1,4;0,5) returnerar 1,5 (= 0,5*3).

## MGM

Returnerar den minsta gemensamma nämnaren för två eller flera heltal.

### Syntax

MGM(heltal1; heltal2; ...; heltal30)

Heltal1 till 30 är upp till 30 heltal vars lägsta gemensamma nämnare ska beräknas.

### Exempel

Om du anger talen 512;1 024 och 2 000 i textrutorna Heltal 1;2 och 3, returneras 128 000 som resultat.

## MULTINOMIAL

Returns the factorial of the sum of the arguments divided by the product of the factorials of the arguments.

### Syntax

MULTINOMIAL (tal)

Tal är en lista på upp till 30 tal.

### Exempel

=MULTINOMIAL(F11:H11) returnerar 1 260, om F11 till H11 innehåller värdena 2, 3 och 4. Det motsvarar formeln =(2+3+4)! / (2!*3!*4!)

## OMRÄKNA

Konverterar mellan gammal europeisk valuta och till och från euro.

### Syntax

OMRÄKNA(Värde; "Från_valuta"; "Till_valuta", full_precision, trianguleringsprecision)

Värde är det valutabelopp som ska omräknas.

Från_valuta och Till_valuta är de valutaenheter som används vid omräkningen. Dessa måste anges i textform som valutans officiella förkortning (t.ex. "EUR"). Kurserna (visas i euro) har satts av den Europeiska kommissionen.

Full_precision är valfritt. Om det utelämnas eller är Falskt så avrundas resultatet enligt decimalerna i den valuta som konverteringen görs till. Om Full_precision är Sant avrundas inte resultatet.

Trianguleringsprecision är valfritt. Om Trianguleringsprecision är angivet och >=3, så avrundas det mellanliggande resultatet av en triangulär konvertering (valuta1,EUR,valuta2) med den precisionen. Om Trianguleringsprecision utelämnas så avrundas inte det mellanliggande resultatet. Om den valuta som konverteringen görs till är "EUR" så används dessutom Trianguleringsprecision precis som om triangulering behövdes och det var fråga om konvertering från EUR till EUR utfördes.

### Exempel

=OMRÄKNA(100;"ATS";"EUR") räknar om 100 österrikiska schilling till euro.

=OMRÄKNA(100;"EUR";"DEM") räknar om 100 euro till tyska mark.

## PI

Returnerar 3.14159265358979, värdet för den matematiska konstanten PI (14 decimaler).

### Syntax

PI()

### Exempel

=PI() returnerar 3,14159265358979.

## PRODUKT

Multiplicerar alla tal som är angivna som argument och returnerar produkten.

### Syntax

PRODUKT(Tal1; Tal2; ...; Tal30)

Tal1 till 30 är upp till 30 argument vilkas produkt ska beräknas.

PRODUKT returnerar tal1 * tal2 * tal3 * ...

### Exempel

=PRODUKT(2;3;4) returnerar 24.

## RADIANER

Konverterar grader till radianer.

### Syntax

RADIANER(tal)

Tal är vinkeln i grader som ska konverteras till radianer.

### Exempel

=RADIANER(90) returnerar 1,5707963267949, vilket är PI/2 för Calcs exakthet.

## REST

Returnerar resten efter att ett heltal har dividerats med ett annat.

### Syntax

REST(dividend; divisor)

För heltalsargument returnerar den här funktionen Dividend-modulen Divisor, dvs. resten när Dividend divideras av Divisor.

Den här funktionen implementeras som Dividend - Divisor * HELTAL(Dividend/Divisor) , och den här formeln ger resultatet om argumentet inte är ett heltal.

### Exempel

=REST(22;3) returnerar 1, resten när 22 divideras med 3.

=REST(11,25;2.5) returnerar 1,25.

## ROTPI

Returnerar kvadratroten för (PI gånger ett tal).

### Syntax

ROTPI(Tal)

Returnerar den positiva kvadratroten för (PI multiplicerat med Tal).

Det här motsvarar ROT(PI()*Tal).

### Exempel

=ROTPI(2) returnerar kvadratroten för (2PI), ungefär 2,506628.

## RUNDA.NER

Avrundar ett tal nedåt till närmaste signifikanta multipel.

### Syntax

RUNDA.NER(tal; signifikans; läge)

tal är det tal som ska avrundas nedåt.

Signifikans är det värde till vars multipel talet ska avrundas nedåt.

Mode is an optional value. If the Mode value is given and not equal to zero, and if Number and Significance are negative, then rounding is done based on the absolute value of Number, i.e. negative numbers are rounded towards zero. If the Mode value is equal to zero or is not given, negative numbers are rounded away from zero.

If the spreadsheet is exported to Microsoft Excel, the FLOOR function is exported as the equivalent FLOOR.MATH function that exists since Excel 2013. If you plan to use the spreadsheet with earlier Excel versions, use either FLOOR.PRECISE that exists since Excel 2010, or FLOOR.XCL that is exported as the FLOOR function compatible with all Excel versions. Note that FLOOR.XCL always rounds towards zero.

### Exempel

=RUNDA.NER(-11;-2) returnerar -12

=RUNDA.NER(-11;-2;0) returnerar -12

=RUNDA.NER(-11;-2;1) returnerar -10

## RUNDA.UPP

Avrundar ett tal uppåt till närmaste signifikanta multipel.

### Syntax

RUNDA.UPP(tal; signifikans; läge)

tal är talet som ska avrundas uppåt.

Signifikans är det tal till vars multipel värdet ska avrundas uppåt.

Mode is an optional value. If the Mode value is given and not equal to zero, and if Number and Significance are negative, then rounding is done based on the absolute value of Number, i.e. negative numbers are rounded away from zero. If the Mode value is equal to zero or is not given, negative numbers are rounded towards zero.

If the spreadsheet is exported to Microsoft Excel, the CEILING function is exported as the equivalent CEILING.MATH function that exists since Excel 2013. If you plan to use the spreadsheet with earlier Excel versions, use either CEILING.PRECISE that exists since Excel 2010, or CEILING.XCL that is exported as the CEILING function compatible with all Excel versions. Note that CEILING.XCL always rounds away from zero.

### Exempel

=RUNDA.UPP(-11;-2) returnerar -10

=RUNDA.UPP(-11;-2;0) returnerar -10

=RUNDA.UPP(-11;-2;1) returnerar -12

## SEK

Returnerar sekaten av en given vinkel (i radianer). Sekanten av en vinkel motsvarar 1 delat på cosinus av vinkeln.

### Syntax

SEK(Tal)

Returnerar (trigonometrisk) sinus för Tal, vinkeln i radianer.

Returnera sekanten för en vinkel i grader genom att använda RADIANER-funktionen.

### Exempel

=SEK(PI()/4) returnerar ca. 1,4142135624, inversen av cosinus av PI/4 radianer.

=SEK(RADIANER(60)) returnerar 2, sekanten av 60 grader.

## SEKH

Returnerar den hyperboliska sekanten för ett tal.

### Syntax

SEKH(Tal)

Returnerar hyperbolisk sekant för Tal.

### Exempel

=SEKH(0) returnerar 1, hyperbolisk sekant för 0.

## SERIESSUMMA

Summerar de första villkoren i en potensserie.

SERIESSUMMA(x;n;m;koefficienter) = koefficient_1*x^n + koefficient_2*x^(n+m) + koefficient_3*x^(n+2m) +...+ koefficient_i*x^(n+(i-1)m)

### Syntax

SERIESUMMA(X; N; M Koefficienter)

X är inmatningsvärdet för potensserien.

N är den initiala effekten

M är tillägget för att öka N

Koefficienter är en uppsättning koefficienter. För varje koefficient utökas summan för uppsättningen med en sektion.

## SGD

Returnerar den största gemensamma nämnaren för två eller flera heltal.

Den största gemensamma nämnaren är det största positiva heltal som jämnt kan dela vart och ett av de givna heltalen.

### Syntax

SGD(Heltal1; Heltal2; ...; Heltal30)

Heltal1 till 30 är upp till 30 heltal vilkas största gemensamma nämnare ska beräknas.

### Exempel

=SGD(16;32;24) ger resultatet 8, eftersom 8 är det största tal som kan delas med 16, 24 och 32 utan en rest.

=SGD(B1:B3) där cellerna B1, B2, B3 innehåller 9, 12, 9 blir 3.

## SIN

Returnerar sinus för en given vinkel (i radianer).

### Syntax

SIN(Tal)

Returnerar (trigonometrisk) sinus för Tal, vinkeln i radianer.

Returnera sinus för en vinkel i grader genom att använda RADIANER-funktionen.

### Exempel

=SIN(PI()/2) returnerar 1, sinus för PI/2 radianer.

=SIN(RADIANER(30)) returnerar 0,5, sinus för 30 grader.

## SINH

Returnerar hyperbolisk sinus för ett tal.

### Syntax

ARCSINH(tal)

Returnerar hyperbolisk sinus för Tal.

### Exempel

=SINH(0) returnerar 0, hyperbolisk sinus för 0.

## SLUMP

Returnerar ett slumptal mellan 0 och 1.

### Syntax

SLUMP()

Denna funktion producerar ett nytt slumptal varje gång Calc genomför en beräkning. För att tvinga Calc att genomföra en ny beräkning kan du trycka på F9-tangenten.

Om du vill generera slumpmässiga tal som aldrig räknats om kopierar du celler som alla innehåller =SLUMP (). Använd Redigera - Klistra in innehåll (med Klistra in allt och Formler som inte markerats och Tal som markerats).

### Exempel

=SLUMP() returnerar ett slumptal mellan 0 och 1.

## SLUMP.MELLAN

Returnerar ett slumpmässigt heltal i ett angivet område.

### Syntax

SLUMP.MELLAN(Minsta tal; Största tal)

Returnerar ett slumpmässigt heltal mellan heltalen Botten och Toppen (båda ingår).

Den här funktionen genererar ett nytt slumptal varje gång Calc beräknar om. Du kan tvinga Calc att beräkna om manuellt genom att trycka på Skift+Kommando Ctrl
+F9.

Om du vill generera slumpmässiga tal som aldrig beräknas om kopierar du cellerna som innehåller den här funktionen och använder Redigera - Klistra in innehåll (med Klistra in allt och Formler som inte markerats och Tal som markerats).

### Exempel

=SLUMP.MELLAN(20;30) returnerar ett heltal mellan 20 och 30.

## SQRT

Returnerar den positiva kvadratroten för ett tal.

### Syntax

ROT(Tal)

Returnerar den positiva kvadratroten för Tal.

Talet måste vara positivt.

### Exempel

=ROT(16) returnerar 4.

=ROT(-16) returnerar ett ogiltigt argument-fel.

## SUM

Adderar alla tal i ett cellområde.

### Syntax

SUMMA(Tal1; Tal2; ...; Tal30)

Tal1 till tal 30 är upp till 30 argument vilkas summa ska beräknas.

### Exempel

Om du anger talen 2;3 och 4 i textrutorna Tal 1;2 och 3, returneras 9 som resultat.

=SUMMA(A1;A3;B5) beräknar summan av de tre cellerna. =SUMMA (A1:E10) beräknar summan av alla celler i cellområdet A1 till E10.

Villkor som är länkade med OCH kan användas med funktionen SUMMA() på följande sätt:

Exempel på antagande: Du har angett fakturor i en tabell. Kolumn A innehåller fakturans datumvärde, kolumn B summorna. Försök att ange en formel som du kan använda för att returnera summan av alla belopp för en specifik månad, t.ex. endast beloppet för perioden >=2008-01-01 to <2008-02-01. Området inom datumvärderna täcker A1:A40, området som omfattar beloppen som ska multipliceras är B1:B40. C1 omfattar startdatum, 2008-01-01, för fakturorna som omfattas och C2 datumet, 2008-02-01, som inte längre omfattas.

Ange följande formel som en matrisformel:

=SUMMA((A1:A40>=C1)*(A1:A40<C2)*B1:B40)

För att ange det här som en matrisformel måste du trycka på tangenterna Skift+Kommando + Ctrl
+ Retur, i stället för att bara trycka på Retur när du stänger formeln. Formeln visas sedan i formelraden omgiven av klammerparenteser.

{=SUMMA((A1:A40>=C1)*(A1:A40<C2)*B1:B40)}

Formeln baseras på det faktum att resultatet av en jämförelse är 1 om kriteriet uppfylls och 0 om det inte uppfylls. De enskilda jämförelseresultaten behandlas som en matris och används i matrismultiplikation, och i slutet räknas enskilda värden ihop för att ge resultatmatrisen.

## SUMIF

Lägger till de celler som anges med givet kriterium. Den här funktionen används för att bläddra till ett område när du söker efter ett visst värde.

Sökningen stöder reguljära uttryck. Du kan till exempel skriva "all.*" om du vill hitta den första förekomsten av "all" följt av vilka tecken som helst. Om du vill söka efter text som också är ett reguljärt uttryck måste du skriva \ före varje tecken. Du kan aktivera och inaktivera den automatiska utvärderingen av reguljära uttryck i LibreOffice – Inställningar Verktyg – Alternativ
– LibreOffice Calc – Beräkna.

### Syntax

SUMMA.OM(Område; Kriterier; Summaområde)

område är det område som kriterierna ska tillämpas på.

Kriterier är den cell där sökkriteriet visas, eller själva sökkriteriet. Om kriteriet skrivs in i formeln ska det omges av dubbla citattecken.

Summaområde är området där värden summeras. Om den här parametern inte angetts summeras värdena som finns i området.

SUMMA.OM har endast stöd för referenslänkningsoperatorn (~) i parametern Kriterier och endast om den valfria parametern Summaområde inte angetts.

### Exempel

Så här summerar du endast negativa tal: =SUMMA.OM(A1:A10;"<0")

=SUMMA.OM(A1:A10;">0";B1:10) - summerar värden från området B1:B10 endast om de motsvarande värdena i området A1:A10 är >0.

Se ANTAL.OM() om du vill läsa om fler syntaxexempel som kan användas med SUMMA.OM().

## TAN

Returnerar tangens för en given vinkel (i radianer).

### Syntax

TAN(tal)

Returnerar (trigonometrisk) tangens för Tal, vinkeln i radianer.

Returnera tangens för en vinkel i grader genom att använda RADIANER-funktionen.

### Exempel

=TAN(PI()/4) returnerar 1, tangens för PI/4 radianer.

=TAN(RADIANER(45)) returnerar 1, tangens för 45 grader.

## TANH

Returnerar hyperbolisk tangens för ett tal.

### Syntax

TANH(tal)

Returnerar hyperbolisk tangens för Tal.

### Exempel

=TANH(0) returnerar 0, hyperbolisk tangens för 0.

## TECKEN

Returnerar tecknet för ett tal. Returnerar 1 om talet är positivt, -1 om det är negativt och 0 om det är noll.

### Syntax

TECKEN(tal)

tal är det tal vars tecken ska fastställas.

### Exempel

=TECKEN(3,4) returnerar 1.

=TECKEN(-4,5) returnerar -1.

## UDDA

Rundar av ett positivt tal uppåt till närmaste udda heltal och ett negativt tal nedåt till närmaste udda heltal.

### Syntax

UDDA(tal)

Returnerar Tal som avrundats uppåt till nästa udda heltal, från noll.

### Exempel

=UDDA(1,2) returnerar 3.

=UDDA(1) returnerar 1.

=UDDA(0) returnerar 1.

=UDDA(-3,1) returnerar -5.

## UPPHÖJT.TILL

Returnerar ett tal upphöjt till ett annat tal.

### Syntax

UPPHÖJT.TILL(Bas; Exponent)

Returnerar Bas upphöjt till Exponent.

Samma resultat kan erhållas med exponentoperatorn ^:

Bas^Exponent

### Exempel

=UPPHÖJT.TILL(4;3) returnerar 64, vilket är 4 upphöjt till 3.

=4^3 returnerar även 4 upphöjt till 3.

Närliggande ämnen

Functions by Category